#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?
# Description: retrieves a file stored in an Amazon S3 bucket

require 'rubygems'
require 'ruby-aws'
require 'facets/file'
require 'aws/s3'

cmd = Amazon::WebServices::Util::CommandLine.new
cmd.checkAuthConfig

if ARGV.length != 3
	$stderr.puts("Usage: #{$0} <remote-file> <bucket> <local-file>")
	exit
end

remote_file = ARGV[0]
bucket      = ARGV[1]
local_file  = ARGV[2]

AWS::S3::Base.establish_connection!(	:access_key_id     => cmd.authId,
					:secret_access_key => cmd.authKey	)

base_name = File.basename(local_file)
puts "Bucket #{bucket}, file #{remote_file} -> #{local_file}"
begin
	File.write(local_file, AWS::S3::S3Object.value(remote_file, bucket))
rescue => e
	puts("Error: " + e.message)
	exit
end
puts "Done!"

