#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?
# Description: prints all files contained in a given bucket

require 'rubygems'
require 'ruby-aws'
require 'facets/file'
require 'aws/s3'

cmd = Amazon::WebServices::Util::CommandLine.new
cmd.checkAuthConfig

if ARGV.length != 1
	$stderr.puts("Usage: #{$0} <bucket>")
	exit
end

bucket = ARGV[0]

AWS::S3::Base.establish_connection!(	:access_key_id     => cmd.authId,
					:secret_access_key => cmd.authKey	)

begin
	bucket = AWS::S3::Bucket.find(bucket)
	bucket.each { |b| printf("%s	%s\n", b.key, b.url(:authenticated => false)) }
rescue => e
	puts("Error: " + e.message)
	exit
end

