#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?
# Description: prints a list of buckets created by this S3 account

require 'rubygems'
require 'ruby-aws'
require 'aws/s3'

cmd = Amazon::WebServices::Util::CommandLine.new
cmd.checkAuthConfig

AWS::S3::Base.establish_connection!(	:access_key_id     => cmd.authId,
					:secret_access_key => cmd.authKey	)

begin
	buckets = AWS::S3::Service.buckets
rescue => e
	puts("Error: " + e.message)
	exit
end

buckets.each { |b| puts(b.name) }

