#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?
# Description: deletes a file from a given bucket

require 'rubygems'
require 'ruby-aws'
require 'facets/file'
require 'aws/s3'

cmd = Amazon::WebServices::Util::CommandLine.new
cmd.checkAuthConfig

if ARGV.length != 2
	$stderr.puts("Usage: #{$0} <remote-file> <bucket>")
	exit
end

remote_file = ARGV[0]
bucket      = ARGV[1]

AWS::S3::Base.establish_connection!(	:access_key_id     => cmd.authId,
					:secret_access_key => cmd.authKey	)

puts "Deleting file #{remote_file} from bucket #{bucket}"
begin
	AWS::S3::S3Object.delete(remote_file, bucket)
rescue => e
	puts("Error: " + e.message)
	exit
end
puts "Done!"

