#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?
# Description: deletes an empty bucket

require 'rubygems'
require 'ruby-aws'
require 'aws/s3'

cmd = Amazon::WebServices::Util::CommandLine.new
cmd.checkAuthConfig

if ARGV.length < 1
	$stderr.puts("Usage: #{$0} <bucket>")
	exit
end

bucket = ARGV[0]

AWS::S3::Base.establish_connection!(	:access_key_id     => cmd.authId,
					:secret_access_key => cmd.authKey	)

puts "Removing bucket #{bucket}"
begin
	AWS::S3::Bucket.delete(bucket)
rescue => e
	puts("Error: " + e.message)
	exit
end
puts "Success!"

