#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?

require 'rubygems'
require 'ruby-aws'

if ARGV.length < 2
	$stderr.puts("Usage: #{$0} <resuls-file1> <results-file2>")
	exit
end

results1 = Amazon::Util::DataReader.load(ARGV[0], :Tabular)
results2 = Amazon::Util::DataReader.load(ARGV[1], :Tabular)

workers1 = results1.inject({}) do |h, v|
	workerId = v[:WorkerId]
	h[workerId] ||= 0
	h[workerId]  += 1
	h
end

workers2 = results2.inject({}) do |h, v|
	workerId = v[:WorkerId]
	h[workerId] ||= 0
	h[workerId]  += 1
	h
end

puts "Number of workers in #1: #{workers1.keys.length}"
puts "Number of workers in #2: #{workers2.keys.length}"

puts "Number of workers unique to #1: #{(workers1.keys - workers2.keys).length}"
puts "Number of workers unique to #2: #{(workers2.keys - workers1.keys).length}"
puts "Number of workers common to #1 and #2: #{(workers1.keys & workers2.keys).length}"
puts ""

puts "Number of assignments in #1: " + workers1.keys.inject(0) { |total, workerId| total += workers1[workerId] }.to_s
puts "Number of assignments in #2: " + workers2.keys.inject(0) { |total, workerId| total += workers2[workerId] }.to_s

puts "Number of assignments in #1 from workers unique to #1: " + (workers1.keys - workers2.keys).inject(0) { |total, workerId| total += workers1[workerId] }.to_s
puts "Number of assignments in #2 from workers unique to #2: " + (workers2.keys - workers1.keys).inject(0) { |total, workerId| total += workers2[workerId] }.to_s
puts "Number of assignments in #1 from workers common to #1 and #2: " + (workers1.keys & workers2.keys).inject(0) { |total, workerId| total += workers1[workerId] }.to_s
puts "Number of assignments in #2 from workers common to #1 and #2: " + (workers1.keys & workers2.keys).inject(0) { |total, workerId| total += workers2[workerId] }.to_s

