function [] = plot_mos_ci95(algorithms, values, ci95)
ngroups = size(values, 1);
nbars   = size(values, 2);

assert(ngroups > 1);

hold on
linewidth = 0.5;

h = bar(values, 'group', 'LineWidth', linewidth);
for i = 1:nbars
	x = get(get(h(i), 'children'),'xdata');
	x = mean(x([1 3],:));		% x coordinates for bar i of each group
	h_eb = errorbar(x, values(:,i), ci95(:,i), ci95(:,i), 'k', 'LineStyle', 'none', 'LineWidth', linewidth);
	errorbar_tick(h_eb, 150);
end

set(gca, 'XTick', 1:ngroups)
set(gca, 'XTickLabel', algorithms)
set(gca, 'FontSize', 5.5)

%xlabel('Blizzard 2009 Algorithm')
%ylabel('MOS')
V = axis; V([3 4]) = [1 5]; axis(V);
pbaspect([1 0.20 1]);

