#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?

require 'rubygems'
require 'ruby-aws'

if ARGV.length < 3
	$stderr.puts("Usage: #{$0} <infile1> <infile2> ... <infileN> <outfile>")
	exit
end

outfile = ARGV.pop

printf("Merge files %s into %s? (y/n) ", ARGV.join(', '), outfile);
response = STDIN.gets.chomp.downcase
if response != 'y'
	printf("Exiting...\n")
	exit
end

results = []
ARGV.each do |filename|
	results += Amazon::Util::DataReader.load(filename, :Tabular);
end

Amazon::Util::DataReader.save(outfile, results, :Tabular)

