#!/usr/bin/env ruby

# Copyright (c) 2010 Microsoft Corp.
# License: ?

require 'net/http'
require 'uri'

module Net
class HTTP
class << self
	alias_method :original_new, :new

	# redefine HTTP.new() to use a proxy if the http_proxy environment variable is defined
	# this implementation is inefficient, since it parses http_proxy every time
	def HTTP.new(address, port = nil, p_addr = nil, p_port = nil, p_user = nil, p_pass = nil)
		if ENV.has_key?('http_proxy')
			proxy_uri = URI.parse(ENV['http_proxy'])
			if proxy_uri.userinfo =~ /:/
				m = proxy_uri.userinfo.match(/(\w*):?(\w*)?/)
				if (m.length == 3)
					user = m[1]
					pass = m[2]
				else
					user = proxy_uri.userinfo
					pass = nil
				end

				original_new(address, port, proxy_uri.host, proxy_uri.port, user, pass)
			else
				original_new(address, port, proxy_uri.host, proxy_uri.port, proxy_uri.userinfo)
			end
		else
			original_new(address, port, p_addr, p_port, p_user, p_pass)
		end
	end
end # class << self
end # HTTP
end # Net

